Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager
Class PluginManager

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.console.manager.PluginManager

All Implemented Interfaces:
  EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, PluginManagerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class PluginManager
extends org.jboss.system.ServiceMBeanSupport
implements PluginManagerMBean, javax.management.NotificationListener

Field Summary
`protected ManageableResource` | `bootstrapResource`
`protected HashMap` | `currentTrees`
`protected boolean` | `enableShutdown`
`String` | `jndiName`
`protected String` | `mainLinkUrl`
`protected String` | `mainLogoUrl`
`static String` | `PLUGIN_MANAGER_NAME`
`protected ArrayList` | `plugins`
`protected long` | `treeVersion`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PluginManager()`

Method Summary
`protected void` | `bindProxyInJndi()`
`void` | `createService()`
`protected HashSet` | `findSubResources(TreeNode tree)`
`ManageableResource` | `getBootstrapResource()`
`String` | `getJndiName()`
`String` | `getMainLinkUrl()`
`String` | `getMainLogoUrl()`
`javax.management.MBeanServer` | `getMBeanServer()`
`protected ArrayList` | `getPluginsSubsetForProfile(String profile)`
`TreeInfo` | `getTreeForProfile(String profile)`
`protected Iterator` | `getTreesForResource(ManageableResource res, String profile, ArrayList pluginsSubset)`
`TreeInfo` | `getUpdateTreeForProfile(String profile, long knownVersion)` Only return the tree if the actual version is bigger than the known version
`void` | `handleNotification(javax.management.Notification notif, Object handback)`
`protected void` | `initNotificationReception()`
`boolean` | `isEnableShutdown()`
`void` | `regenerateAdminTree()`
`void` | `regenerateAdminTreeForProfile(String profile)`
`void` | `registerPlugin(ConsolePlugin plugin)` send a message
`void` | `registerPlugin(String consolePluginClassName)` send a message
`void` | `setEnableShutdown(boolean enableShutdown)`
`void` | `setJndiName(String jndiName)`
`void` | `setMainLinkUrl(String mainLinkUrl)`
`void` | `setMainLogoUrl(String mainLogoUrl)`
`void` | `startService()`
`void` | `stopService()`
`void` | `unregisterPlugin(ConsolePlugin plugin)` send a message

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### PLUGIN_MANAGER_NAME

    public static String PLUGIN_MANAGER_NAME

### plugins

    protected ArrayList plugins

### bootstrapResource

    protected ManageableResource bootstrapResource

### jndiName

    public String jndiName

### treeVersion

    protected long treeVersion

### currentTrees

    protected HashMap currentTrees

### mainLogoUrl

    protected String mainLogoUrl

### mainLinkUrl

    protected String mainLinkUrl

### enableShutdown

    protected boolean enableShutdown

Constructor Detail

### PluginManager

    public PluginManager()

Method Detail

### createService

    public void createService()
                       throws Exception

  Throws:
    `Exception`

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()

### registerPlugin

    public void registerPlugin(String consolePluginClassName)
                        throws Exception

  send a message

  Specified by:
    `registerPlugin` in interface `PluginManagerMBean`
  Throws:
    `Exception`

### registerPlugin

    public void registerPlugin(ConsolePlugin plugin)

  send a message

  Specified by:
    `registerPlugin` in interface `PluginManagerMBean`

### unregisterPlugin

    public void unregisterPlugin(ConsolePlugin plugin)

  send a message

  Specified by:
    `unregisterPlugin` in interface `PluginManagerMBean`

### regenerateAdminTree

    public void regenerateAdminTree()

  Specified by:
    `regenerateAdminTree` in interface `PluginManagerMBean`

### regenerateAdminTreeForProfile

    public void regenerateAdminTreeForProfile(String profile)

  Specified by:
    `regenerateAdminTreeForProfile` in interface `PluginManagerMBean`

### getTreeForProfile

    public TreeInfo getTreeForProfile(String profile)

  Specified by:
    `getTreeForProfile` in interface `PluginManagerMBean`

### getUpdateTreeForProfile

    public TreeInfo getUpdateTreeForProfile(String profile,
                                            long knownVersion)

  Only return the tree if the actual version is bigger than the known version

  Specified by:
    `getUpdateTreeForProfile` in interface `PluginManagerMBean`

### getMBeanServer

    public javax.management.MBeanServer getMBeanServer()

  Specified by:
    `getMBeanServer` in interface `PluginManagerMBean`

### getBootstrapResource

    public ManageableResource getBootstrapResource()

  Specified by:
    `getBootstrapResource` in interface `PluginManagerMBean`

### getJndiName

    public String getJndiName()

  Specified by:
    `getJndiName` in interface `PluginManagerMBean`

### setJndiName

    public void setJndiName(String jndiName)

  Specified by:
    `setJndiName` in interface `PluginManagerMBean`

### isEnableShutdown

    public boolean isEnableShutdown()

  Specified by:
    `isEnableShutdown` in interface `PluginManagerMBean`

### setEnableShutdown

    public void setEnableShutdown(boolean enableShutdown)

  Specified by:
    `setEnableShutdown` in interface `PluginManagerMBean`

### getMainLinkUrl

    public String getMainLinkUrl()

  Specified by:
    `getMainLinkUrl` in interface `PluginManagerMBean`

### setMainLinkUrl

    public void setMainLinkUrl(String mainLinkUrl)

  Specified by:
    `setMainLinkUrl` in interface `PluginManagerMBean`

### getMainLogoUrl

    public String getMainLogoUrl()

  Specified by:
    `getMainLogoUrl` in interface `PluginManagerMBean`

### setMainLogoUrl

    public void setMainLogoUrl(String mainLogoUrl)

  Specified by:
    `setMainLogoUrl` in interface `PluginManagerMBean`

### handleNotification

    public void handleNotification(javax.management.Notification notif,
                                   Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### getTreesForResource

    protected Iterator getTreesForResource(ManageableResource res,
                                           String profile,
                                           ArrayList pluginsSubset)

### getPluginsSubsetForProfile

    protected ArrayList getPluginsSubsetForProfile(String profile)

### findSubResources

    protected HashSet findSubResources(TreeNode tree)

### bindProxyInJndi

    protected void bindProxyInJndi()
                            throws Exception

  Throws:
    `Exception`

### initNotificationReception

    protected void initNotificationReception()
                                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.